#!/usr/bin/env bash

SOURCE_PATH=$( cd -- "$( dirname -- "${BASH_SOURCE[0]}" )/../" &> /dev/null && pwd )
USERS_TABLE=${SOURCE_PATH}/external_tree/customizations/users.table

echo "Populating overlay directory..."

PASSWORD=$(openssl rand -hex 8)

echo "Generated default password for current build: ${PASSWORD}"

echo "imi415 1000 imi415 1000 =${PASSWORD} /home/imi415 /bin/bash wheel imi415" > ${USERS_TABLE}
